util.ui

## Class DefaultMarkingPrioritySelectionPanel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - util.ui.DefaultMarkingPrioritySelectionPanel

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

      public final class DefaultMarkingPrioritySelectionPanel
      extends javax.swing.JPanel

  A class that is a panel that allows selection of the mark priority for programs.
  Since:
    2.5.3
  Author:
    René Mach
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultMarkingPrioritySelectionPanel` | `createPanel(int[] priority, java.lang.String[] label, boolean showTitle, boolean showHelpLabel, boolean withDefaultDialogBorder)` the arrays for label and priority must have the same length. the index of both arrays must be in the range of an integer. both indexes must be > 0.
    `static DefaultMarkingPrioritySelectionPanel` | `createPanel(int priority, boolean showTitle, boolean withDefaultDialogBorder)` Creates an instance of this class.
    `static DefaultMarkingPrioritySelectionPanel` | `createPanel(int priority, java.lang.String label, boolean showTitle, boolean showHelpLabel, boolean withDefaultDialogBorder)` Creates an instance of this class.
    `static java.lang.String[]` | `getMarkingColorNames(boolean withNoMarkPriority)` Gets the name of the marking colors in an array sorted from the lowest to the highest priority.
    `int[]` | `getSelectedPriorities()`
    `int` | `getSelectedPriority()`
    `int` | `getSelectedPriority(int index)`
    `static java.lang.String` | `getTitle()` Gets the title of this settings panel.
    `void` | `setEnabled(boolean enabled)` this enables the panel and all its subcomponents.

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### createPanel

          public static DefaultMarkingPrioritySelectionPanel createPanel(int priority,
                                                         boolean showTitle,
                                                         boolean withDefaultDialogBorder)

      Creates an instance of this class.
      Parameters:
        `priority` - The current selected priority.
        `showTitle` - If the title should be shown.
        `withDefaultDialogBorder` - If the panel should show the default dialog border of FormLayouts PanelBuilder.
      Returns:
        The created instance of this class.

    - #### createPanel

          public static DefaultMarkingPrioritySelectionPanel createPanel(int priority,
                                                         java.lang.String label,
                                                         boolean showTitle,
                                                         boolean showHelpLabel,
                                                         boolean withDefaultDialogBorder)

      Creates an instance of this class.
      Parameters:
        `priority` - which priority is selected in the drop down
        `label` - the label for the drop down
        `showTitle` - if true, show the title
        `showHelpLabel` - if true, show the help text
        `withDefaultDialogBorder` - if true, use the default border
      Returns:
        The created instance of this class.
      Since:
        3.0

    - #### createPanel

          public static DefaultMarkingPrioritySelectionPanel createPanel(int[] priority,
                                                         java.lang.String[] label,
                                                         boolean showTitle,
                                                         boolean showHelpLabel,
                                                         boolean withDefaultDialogBorder)

      the arrays for label and priority must have the same length. the index of both arrays must be in the range of an integer. both indexes must be > 0.
      Parameters:
        `priority` - which priority is selected in the dropdowns. must not be null.
        `label` - the labels for the dropdowns. must not be null.
        `showTitle` - if true, show the title
        `showHelpLabel` - if true, show the help text
        `withDefaultDialogBorder` - if true, use the default border
      Returns:
        The created instance of this class.
      Since:
        3.0

    - #### getSelectedPriority

          public int getSelectedPriority()

      Returns:
        The selected marking priority of the first dropdown

    - #### getSelectedPriority

          public int getSelectedPriority(int index)

      Parameters:
        `index` - the index of the dropdown
      Returns:
        The selected marking priority of the dropdown with the given index

    - #### getSelectedPriorities

          public int[] getSelectedPriorities()

      Returns:
        The selected marking priorities of all dropdowns

    - #### getTitle

          public static java.lang.String getTitle()

      Gets the title of this settings panel.
      Returns:
        The title of this settings panel.

    - #### getMarkingColorNames

          public static java.lang.String[] getMarkingColorNames(boolean withNoMarkPriority)

      Gets the name of the marking colors in an array sorted from the lowest to the highest priority.

      Parameters:
        `withNoMarkPriority` - If the array should contain the no mark priority name.
      Returns:
        The names of the marking colors in an array sorted from the lowest to the highest priority.
      Since:
        2.7

    - #### setEnabled

          public void setEnabled(boolean enabled)

      this enables the panel and all its subcomponents.
      Overrides:
        `setEnabled` in class `javax.swing.JComponent`
      Parameters:
        `enabled` - true to enable this panel, false otherwise
      See Also:
        `JComponent.setEnabled(boolean)`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)